Redmine - Defect #19606

Issue Estimated Time not updated on tracker change
2015-04-13 14:51 - Stephane Evr

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 3.0.2

Resolution: Fixed Affected version: 3.0.1
Description

The problem occurs when the issue tracker is changed to another which does not have the estimated time field activated:
- Create a main issue with a tracker which has the "Estimated time" field

- Create a subtask with a tracker which has also the the "Estimated time" field and set it to X hours

- Change the tracker of this subtask to another which does not have the the "Estimated time" field activated

- Go to the parent task

Result: Estimated time on the parent task is still X hours

From my searches, | can see that the issue estimated time is not changed in DB. It won't change to null, but remain to X hours.

Associated revisions

Revision 14180 - 2015-04-14 19:16 - Jean-Philippe Lang

When changing tracker, clear the attributes that are disabled for the new tracker (#17527).

Revision 14214 - 2015-04-25 09:49 - Jean-Philippe Lang
Merged r14180 (#19606).

History

#1 - 2015-04-14 10:36 - Stephane Evr

| had a deeper look into the code, | think that the method to patch is
tracker=(tracker) in app/models/tracker.rb where in case the new tracker does not have the Estimated Time field activated, we nullify the estimated
time of the issue.

#2 - 2015-04-14 11:34 - Stephane Evr

- File issue_tracker_estimated_time.diff added

| have put this simple patch to the method mentioned above.
This seems to resolve the problem so far

#3 - 2015-04-14 11:58 - Stephane Evr

- File issue_tracker_estimated_time.diff added

#4 - 2015-04-14 11:59 - Stephane Evr

See the latest file

#5 - 2015-04-14 19:17 - Jean-Philippe Lang
- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 3.0.2

- Resolution set to Fixed

Fixed in r14180, thanks for pointing this out.
https://www.redmine.org/projects/redmine/repository/svn/revisions/14180

#6 - 2015-04-25 09:49 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files
issue_tracker_estimated_time.diff 508 Bytes 2015-04-14 Stephane Evr
issue_tracker_estimated_time.diff 471 Bytes 2015-04-14 Stephane Evr
